×

Discussion Board

Page 1 of 2 12 LastLast
Results 1 to 15 of 17
  1. #1
    Regular Contributor
    Join Date
    Nov 2008
    Location
    India
    Posts
    91

    Arrow how to complie py to sis for 5th edition

    Hello frnds i have ported my X-SMS software to 5th edition but how can i compile them as compatible with 5th edition aka 5800XM help me


    -----------------------------------------------------------------------------------------------------------------------------------------------

    www.sirajsoft.co.cc

    -----------------------------------------------------------------------------------------------------------------------------------------------

  2. #2
    Super Contributor
    Join Date
    Feb 2008
    Location
    Belo Horizonte, Brazil
    Posts
    744

    Re: how to complie py to sis for 5th edition

    Quote Originally Posted by apacheking View Post
    Hello frnds i have ported my X-SMS software to 5th edition but how can i compile them as compatible with 5th edition aka 5800XM help me
    Use the PyS60 application packager. Download the PythonForS60_1.9.4_Setup.exe from here, install it and you will find the application packager on the Start menu of your PC.



    Hope this helps,

    Rafael.

  3. #3
    Super Contributor
    Join Date
    Mar 2003
    Location
    Espoo, Finland
    Posts
    976

    Re: how to complie py to sis for 5th edition

    Yep, Rafael T. is right. Just wanted to add that there is a text box in App Packager UI where you can write all the missing arguments. Oh, and that SIS will work only with PyS60 1.9.4.

    Good luck,

    --jouni

  4. #4
    Regular Contributor
    Join Date
    Nov 2008
    Location
    India
    Posts
    91

    Re: how to complie py to sis for 5th edition

    will try bro's

  5. #5
    Regular Contributor
    Join Date
    Nov 2008
    Location
    India
    Posts
    91

    Re: how to complie py to sis for 5th edition

    it shows how to open ensemble.pyw when clicking application packager

  6. #6
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: how to complie py to sis for 5th edition

    Quote Originally Posted by apacheking View Post
    it shows how to open ensemble.pyw when clicking application packager
    hello siraj

    i guess there is a problem with your core Python version so please check that out.


    Regards
    Gaba88

  7. #7
    Regular Contributor
    Join Date
    Nov 2008
    Location
    India
    Posts
    91

    Re: how to complie py to sis for 5th edition

    working great thanx gaba bro and plz tell me how to compile the script with images

  8. #8
    Regular Contributor
    Join Date
    Nov 2008
    Location
    India
    Posts
    91

    Re: how to complie py to sis for 5th edition

    the python sis compiler not working in pc the compiled sis have been installed correctly
    but not opening in 5800 i installed it inc Drive icon appears on menu but when i click it nothing no flickering too

  9. #9
    Regular Contributor
    Join Date
    Nov 2008
    Location
    India
    Posts
    91

    Re: how to complie py to sis for 5th edition

    plz help devs

  10. #10
    Nokia Developer Expert
    Join Date
    Apr 2007
    Posts
    131

    Re: how to complie py to sis for 5th edition

    Quote Originally Posted by apacheking View Post
    the python sis compiler not working in pc the compiled sis have been installed correctly
    but not opening in 5800 i installed it inc Drive icon appears on menu but when i click it nothing no flickering too
    Does the scriptshell application work on this phone ?

  11. #11
    Regular Contributor
    Join Date
    Nov 2008
    Location
    India
    Posts
    91

    Re: how to complie py to sis for 5th edition

    yes another set of apps works perfectly butmine dont even start when i run the script in pyton interpreter it works fine

  12. #12
    Super Contributor
    Join Date
    Nov 2007
    Location
    Sertaozinho/Brazil
    Posts
    768

    Re: how to complie py to sis for 5th edition

    [QUOTE=Rafael T.;584271]Use the PyS60 application packager. Download the PythonForS60_1.9.4_Setup.exe from here, install it and you will find the application packager on the Start menu of your PC.

    Rafael, I have tried the application packager but it didnt work for me as well. The sis is generated but I got a message saying that PIPs is missing when I run my app. The old packaging way (that one described in python 1.9.3 release docs) didnt work too.

    Any special tips ?

    Marcelo Barros

    PS- I will try to repeat the process, after reinstalling everything and post here, with details.

  13. #13
    Regular Contributor
    Join Date
    Nov 2008
    Location
    India
    Posts
    91

    Re: how to complie py to sis for 5th edition

    still no answer bro

  14. #14
    Super Contributor
    Join Date
    Mar 2003
    Location
    Espoo, Finland
    Posts
    976

    Re: how to complie py to sis for 5th edition

    Quote Originally Posted by apacheking View Post
    still no answer bro
    Well, try this to check if SIS is ok or not:
    http://www.whythefuckwontmysisfileinstall.com/

    Next add some log writing debug code into your script inside SIS. That's the "default.py" file, open a log file in there and write first log entry in there before opening your script.

    Cheers,

    --jouni

  15. #15
    Nokia Developer Expert
    Join Date
    Apr 2007
    Posts
    131

    Re: how to complie py to sis for 5th edition

    Quote Originally Posted by apacheking View Post
    yes another set of apps works perfectly butmine dont even start when i run the script in pyton interpreter it works fine
    Ok, try running your script with the ScriptShell (Options -> Run script) after placing the script unde c:\\data\\python. If it does not work fine then you might want to take a look at the script and if that works fine then it might an issue with heap size of the application. Follow the instructions here http://discussion.forum.nokia.com/fo...544#post581544

Similar Threads

  1. Icons in s60
    By drizzt6 in forum Mobile Java General
    Replies: 5
    Last Post: 2009-03-06, 09:32
  2. Make SIS file from PY file
    By Scolpy in forum Symbian
    Replies: 35
    Last Post: 2008-11-22, 08:53
  3. [moved] How could i make sis file to work on 3rd edition mobiles?
    By hemrajn in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 6
    Last Post: 2008-07-04, 12:27
  4. Pdis 3rd edition sis
    By sevenhills in forum Symbian
    Replies: 1
    Last Post: 2008-06-28, 15:30
  5. Replies: 6
    Last Post: 2007-09-20, 07:13

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×